:root {
    --text-type: uppercase;
    --background-border-gradient-form: linear-gradient(var(--white), var(--white)) 50% 50% /
        calc(100% - 2px) calc(100% - 2px) no-repeat,
    linear-gradient(255deg, var(--blue) 5%, var(--green) 90%);
    --background-border-gradient-div: linear-gradient(var(--white), var(--white)) 50% 50% /
        calc(99.7% - 3px) calc(99.7% - 3px) no-repeat,
    linear-gradient(0deg, var(--blue) 0%, var(--green) 100%);
    --background-gradiente-color: linear-gradient(180deg, var(--green) 19%, var(--blue) 100%);
}

/*Reset label*/
label, p {
    margin: 0;
    padding: 0;
}

/* Page Login */
.auth-display-login {
    width: 100%;
    display: flex;
}

.auth-display-login-image {
    width: 60%;
    background: linear-gradient(270deg, var(--blue) 2.13%, var(--green) 101.3%);
    position: relative;
}

.auth-display-login-image > div {
    height: 100vh;
    width: 100%;
    position: absolute;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.auth-display-login-image > div > img {
    max-width: 446px;
    max-height: 453px;
}

.auth-display-login-image > img {
    width: 100%;
    height: 100vh;
    object-fit: cover;
    opacity: 0.7;
}

.auth-box {
    width: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.auth-display-login .auth-box > div {
    padding: 15% 18%;
    background: var(--background-border-gradient-div);
    min-width: 360px;
    max-width: 85%;
}

.auth-father-block-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

.auth-form-block {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

.auth-text-login {
    color: var(--black);
    font-weight: 500;
}

.auth-end-color {
    color: var(--green);
}

.auth-label-input {
    font-weight: 200;
    padding: 15px 10px;
    background: var(--background-border-gradient-form);
    width: 100%;
}

.auth-button-login {
    padding: 0 23%;
    border: solid 1px var(--green);
    background-color: transparent;
}

.auth-button-login:hover {
    border: solid 1px transparent;
    background: var(--background-gradiente-color);
}

.auth-button-login > p {
    font-size: 0.7em;
}

.auth-texts {
    text-align: center;
}

.auth-input-email {
    max-width: 200px;
    margin-bottom: 15px;
}

.auth-texts-color {
    color: var(--blue);
}

@media (max-width: 768px) {
    .auth-display-login-image {
        width: 100%;
    }

    .auth-display-login-image > div {
        display: none;
    }

    .auth-box {
        position: absolute;
        left: 25%;
        top: 50%;
        transform: translateY(-50%);
    }
}

@media (max-width: 500px) {
    .auth-display-login .auth-box > div {
        padding: 15% 25%;
    }
}


/* Page Register */
.register-block-selection {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-top: 5vh;
    gap: 18px;
}

.register-button-selection {
    width: 90%;
    padding: 10%;
    border: 3px solid var(--green);
}

.register-button-selection:hover {
    background: var(--background-gradiente-color);
    cursor: pointer;
}

.register-button-selection:hover {
    color: var(--white);
}

.register-button-selection {
    color: var(--black);
    background-color: transparent;
}

#buyer, #seller, #real-state {
    display: none;
}

/* Page Register Buyer*/
.register-buyer-seller, .register-real-state {
    justify-content: space-between;
}

.register-buyer-block-image {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 45%;
}

.register-buyer-block-image > label {
    padding: 2px 5px;
    border: 1px solid var(--green);
    color: var(--black);
}

.register-buyer-block-image > label:hover {
    background: var(--background-gradiente-color);
    cursor: pointer;
}

.img-create, .img-create-default {
    width: 100%;
    height: 187px;
    object-fit: cover;
}

.img-create {
    display: none;
}

.register-input-image {
    display: none;
}

.register-buyer-block-data {
    width: 50%;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.register-input-data {
    width: 100%;
    padding: 7px 3px;
    border: 2px solid var(--green);
}

.register-input-data::placeholder {
    color: var(--black);
}

.register-button-submit {
    border: 1px solid var(--green);
    color: var(--black);
    background: transparent;
}

.register-button-submit:hover {
    background: var(--background-gradiente-color);
    color: var(--white);
    cursor: pointer;
}

.document {
    color: var(--black);
    border: 2px solid var(--blue);
    padding: 7px 3px;
    font-size: 0.75em;
}

.register-selected {
    font-size: 0.85em;
    background: transparent;
}

.register-term-text, .register-button-submit,
.auth-text-login, .auth-button-login > p,
.register-button-selection, .register-buyer-block-image > label,
.document, .register-selected{
    text-transform: var(--text-type);
}

.register-label-input-creci > input::-webkit-outer-spin-button, .register-label-input-creci > input::-webkit-inner-spin-button
{
    -webkit-appearance: none;
    margin: 0;
}

.warning {
    box-shadow: 0 10px 20px rgba(0,0,0, 7%);
    border-radius: 5px;
    padding: 5px;
}

.warning > .toast-body > a {
    border: 1px solid var(--white) !important;
}

.warning > .toast-body > a:hover {
    background-color: transparent !important;
    box-shadow: 1px 10px 20px rgba(0,0,0, 3%) !important;
    border: 1px solid rgba(83, 194, 139, 25%) !important;
    border-radius: 5px !important;
    cursor: pointer !important;
}

.dropdown-notificacao {
    max-height: 550px;
    overflow: auto;
}

.dropdown-notificacao::-webkit-scrollbar {
    width: 5px;
}

.dropdown-notificacao::-webkit-scrollbar-track {
    background: var(--green);
}

.dropdown-notificacao::-webkit-scrollbar-thumb {
    background: var(--background-gradiente-color);
    border-radius: 10px;
}

.register-input-data > label {
    display: flex;
    align-items: center;
    color: var(--black);
}

.password, .password_confirmation {
    width: 100%;
}

.password::placeholder, .password_confirmation::placeholder {
    color: var(--black) !important;
}

.forgot-password-body {
    width: 100%;
}

.label-forgot-password {
    display: flex;
    align-items: center;
    cursor: pointer;
}

.input-group .input-group-text {
    position: absolute;
    right: 0;
    margin-right: 5px;
    padding: 0;
}

.btn-send-mail-forgot-password{
    padding: 5px 5%;
    font-size: 0.9rem;
    cursor: pointer;
}

.input-email-forgot-password {
    width: 90%;
}
